Skip to main content
POST
Create journal

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Journal name. Must not be greater than 255 characters.

Example:

"Bank Journal"

code
string
required

Journal code (max 5 chars). Must not be greater than 5 characters.

Example:

"BNK"

type
enum<string>
required

Journal type.

Available options:
sale,
purchase,
cash,
bank,
credit,
general
Example:

"bank"

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

currency_id
integer | null

Currency ID. The id of an existing record in the currencies table.

Example:

1

default_account_id
integer | null

Default account ID. The id of an existing record in the accounts_accounts table.

Example:

1

suspense_account_id
integer | null

Suspense account ID. The id of an existing record in the accounts_accounts table.

Example:

2

profit_account_id
integer | null

Profit account ID. The id of an existing record in the accounts_accounts table.

Example:

3

loss_account_id
integer | null

Loss account ID. The id of an existing record in the accounts_accounts table.

Example:

4

bank_account_id
integer | null

Bank account ID. The id of an existing record in the partners_bank_accounts table.

Example:

1

color
string | null

Journal color (hex). Must not be greater than 7 characters.

Example:

"#3b82f6"

show_on_dashboard
boolean | null

Show on dashboard.

Example:

false

refund_order
boolean | null

Refund order flag.

Example:

false

payment_order
boolean | null

Payment order flag.

Example:

false

inbound_payment_method_lines
object[] | null

Inbound payment method lines (for BANK, CASH, CREDIT_CARD journals). Include id for update, omit for create.

Example:
outbound_payment_method_lines
object[] | null

Outbound payment method lines (for BANK, CASH, CREDIT_CARD journals). Include id for update, omit for create.

Example:

Response

Created